[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.WindowProc

The handler for all messages.

## Declaration

Source position: controls.pp line 1818

`public property TControl.WindowProc : TWndMethod read FWindowProc write FWindowProc;`

## Description

WindowProc is set to TControl.WndProc by default.

When you ever change WindowProc, then remember the previous setting and delegate all unhandled messages to that method.

## See also

TWndMethod |  | Method type for WindowProc handlers.
TLMessage |  |
TControl.Perform |  | Calls a message handler directly, bypassing the message queue.